## CinelerraCV-2.2.tar.gz

=== quicktime/ffmpeg/Makefile ===
#
# Main ffmpeg Makefile
# (c) 2000-2004 Fabrice Bellard
#
include config.mak

SRC_DIR = $(SRC_PATH_BARE)

vpath %.texi $(SRC_PATH_BARE)

PROGS-$(CONFIG_FFMPEG)   += ffmpeg
PROGS-$(CONFIG_FFPLAY)   += ffplay
PROGS-$(CONFIG_FFSERVER) += ffserver

PROGS       = $(addsuffix   $(EXESUF), $(PROGS-yes))
PROGS_G     = $(addsuffix _g$(EXESUF), $(PROGS-yes))
OBJS        = $(addsuffix .o,          $(PROGS-yes)) cmdutils.o
MANPAGES    = $(addprefix doc/, $(addsuffix .1, $(PROGS-yes)))

BASENAMES   = ffmpeg ffplay ffserver
ALLPROGS    = $(addsuffix   $(EXESUF), $(BASENAMES))
ALLPROGS_G  = $(addsuffix _g$(EXESUF), $(BASENAMES))
ALLMANPAGES = $(addsuffix .1, $(BASENAMES))

FFLIBS-$(CONFIG_AVFILTER) += avfilter
FFLIBS-$(CONFIG_POSTPROC) += postproc
FFLIBS-$(CONFIG_SWSCALE)  += swscale

FFLIBS := avdevice avformat avcodec avutil

include common.mak

FF_LDFLAGS   := $(FFLDFLAGS)
FF_EXTRALIBS := $(FFEXTRALIBS)
FF_DEP_LIBS  := $(DEP_LIBS)

ALL_TARGETS-$(CONFIG_VHOOK) += videohook
ALL_TARGETS-$(BUILD_DOC)    += documentation

INSTALL_TARGETS-$(CONFIG_VHOOK) += install-vhook
ifneq ($(PROGS),)
INSTALL_TARGETS-yes             += install-progs
INSTALL_TARGETS-$(BUILD_DOC)    += install-man
endif
INSTALL_PROGS_TARGETS-$(BUILD_SHARED) = install-libs

all: $(FF_DEP_LIBS) $(PROGS) $(ALL_TARGETS-yes)

$(PROGS): %$(EXESUF): %_g$(EXESUF)
	cp -p $< $@
	$(STRIP) $@

SUBDIR_VARS := OBJS ASM_OBJS CPP_OBJS FFLIBS CLEANFILES DIRS TESTS

define RESET
$(1) :=
$(1)-yes :=
endef

define DOSUBDIR
$(foreach V,$(SUBDIR_VARS),$(eval $(call RESET,$(V))))
SUBDIR := $(1)/
include $(1)/Makefile
endef

$(foreach D,$(FFLIBS),$(eval $(call DOSUBDIR,lib$(D))))

ffplay_g$(EXESUF): FF_EXTRALIBS += $(SDL_LIBS)
ffserver_g$(EXESUF): FF_LDFLAGS += $(FFSERVERLDFLAGS)

%_g$(EXESUF): %.o cmdutils.o $(FF_DEP_LIBS)
	$(CC) $(FF_LDFLAGS) -o $@ $< cmdutils.o $(FF_EXTRALIBS)

SVN_ENTRIES = $(SRC_PATH_BARE)/.svn/entries
ifeq ($(wildcard $(SVN_ENTRIES)),$(SVN_ENTRIES))
version.h: $(SVN_ENTRIES)
endif

version.h:
	$(SRC_PATH)/version.sh $(SRC_PATH)

output_example$(EXESUF): output_example.o $(FF_DEP_LIBS)
	$(CC) $(CFLAGS) $(FF_LDFLAGS) -o $@ $< $(FF_EXTRALIBS)

tools/%$(EXESUF): tools/%.c
	$(CC) $(CFLAGS) $(FF_LDFLAGS) -o $@ $< $(FF_EXTRALIBS)

ffplay.o ffplay.d: CFLAGS += $(SDL_CFLAGS)

VHOOKCFLAGS += $(filter-out -mdynamic-no-pic,$(CFLAGS))

BASEHOOKS = fish null watermark
ALLHOOKS = $(BASEHOOKS) drawtext imlib2 ppm
ALLHOOKS_SRCS = $(addprefix vhook/, $(addsuffix .c, $(ALLHOOKS)))

HOOKS-$(HAVE_FORK)      += ppm
HOOKS-$(HAVE_IMLIB2)    += imlib2
HOOKS-$(HAVE_FREETYPE2) += drawtext

HOOKS = $(addprefix vhook/, $(addsuffix $(SLIBSUF), $(BASEHOOKS) $(HOOKS-yes)))

VHOOKCFLAGS-$(HAVE_IMLIB2) += `imlib2-config --cflags`
LIBS_imlib2$(SLIBSUF)       = `imlib2-config --libs`

VHOOKCFLAGS-$(HAVE_FREETYPE2) += `freetype-config --cflags`
LIBS_drawtext$(SLIBSUF)        = `freetype-config --libs`

VHOOKCFLAGS += $(VHOOKCFLAGS-yes)

vhook/%.o vhook/%.d: CFLAGS:=$(VHOOKCFLAGS)

# vhooks compile fine without libav*, but need them nonetheless.
videohook: $(FF_DEP_LIBS) $(HOOKS)

$(eval VHOOKSHFLAGS=$(VHOOKSHFLAGS))
vhook/%$(SLIBSUF): vhook/%.o
	$(CC) $(LDFLAGS) -o $@ $(VHOOKSHFLAGS) $< $(VHOOKLIBS) $(LIBS_$(@F))

VHOOK_DEPS = $(HOOKS:$(SLIBSUF)=.d)
depend dep: $(VHOOK_DEPS)

documentation: $(addprefix doc/, ffmpeg-doc.html faq.html ffserver-doc.html \
                                 ffplay-doc.html general.html hooks.html \
                                 $(ALLMANPAGES))

doc/%.html: doc/%.texi
	texi2html -monolithic -number $<
	mv $(@F) $@

doc/%.pod: doc/%-doc.texi
	doc/texi2pod.pl $< $@

doc/%.1: doc/%.pod
	pod2man --section=1 --center=" " --release=" " $< > $@

install: $(INSTALL_TARGETS-yes)

install-progs: $(PROGS) $(INSTALL_PROGS_TARGETS-yes)
	install -d "$(BINDIR)"
	install -c -m 755 $(PROGS) "$(BINDIR)"

install-man: $(MANPAGES)
	install -d "$(MANDIR)/man1"
	install -m 644 $(MANPAGES) "$(MANDIR)/man1"

install-vhook: videohook
	install -d "$(SHLIBDIR)/vhook"
	install -m 755 $(HOOKS) "$(SHLIBDIR)/vhook"

uninstall: uninstall-progs uninstall-man uninstall-vhook

uninstall-progs:
	rm -f $(addprefix "$(BINDIR)/", $(ALLPROGS))

uninstall-man:
	rm -f $(addprefix "$(MANDIR)/man1/",$(ALLMANPAGES))

uninstall-vhook:
	rm -f $(addprefix "$(SHLIBDIR)/",$(ALLHOOKS_SRCS:.c=$(SLIBSUF)))
	-rmdir "$(SHLIBDIR)/vhook/"

clean::
	rm -f $(ALLPROGS) $(ALLPROGS_G) output_example$(EXESUF)
	rm -f doc/*.html doc/*.pod doc/*.1
	rm -rf tests/vsynth1 tests/vsynth2 tests/data tests/asynth1.sw tests/*~
	rm -f $(addprefix tests/,$(addsuffix $(EXESUF),audiogen videogen rotozoom seek_test tiny_psnr))
	rm -f $(addprefix tools/,$(addsuffix $(EXESUF),cws2fws pktdumper qt-faststart trasher))
	rm -f vhook/*.o vhook/*~ vhook/*.so vhook/*.dylib vhook/*.dll

distclean::
	rm -f version.h config.* *.pc vhook/*.d

# regression tests

fulltest test: codectest libavtest seektest

FFMPEG_REFFILE   = $(SRC_PATH)/tests/ffmpeg.regression.ref
FFSERVER_REFFILE = $(SRC_PATH)/tests/ffserver.regression.ref
LIBAV_REFFILE    = $(SRC_PATH)/tests/libav.regression.ref
ROTOZOOM_REFFILE = $(SRC_PATH)/tests/rotozoom.regression.ref
SEEK_REFFILE     = $(SRC_PATH)/tests/seek.regression.ref

CODEC_TESTS = $(addprefix regtest-,             \
        mpeg                                    \
        mpeg2                                   \
        mpeg2thread                             \
        msmpeg4v2                               \
        msmpeg4                                 \
        wmv1                                    \
        wmv2                                    \
        h261                                    \
        h263                                    \
        h263p                                   \
        mpeg4                                   \
        huffyuv                                 \
        rc                                      \
        mpeg4adv                                \
        mpeg4thread                             \
        error                                   \
        mpeg4nr                                 \
        mpeg1b                                  \
        mjpeg                                   \
        ljpeg                                   \
        jpegls                                  \
        rv10                                    \
        rv20                                    \
        asv1                                    \
        asv2                                    \
        flv                                     \
        ffv1                                    \
        snow                                    \
        snowll                                  \
        dv                                      \
        dv50                                    \
        svq1                                    \
        flashsv                                 \
        mp2                                     \
        ac3                                     \
        g726                                    \
        adpcm_ima_wav                           \
        adpcm_ima_qt                            \
        adpcm_ms                                \
        adpcm_yam                               \
        adpcm_swf                               \
        flac                                    \
        wma                                     \
    )

LAVF_TESTS = $(addprefix regtest-,              \
        avi                                     \
        asf                                     \
        rm                                      \
        mpg                                     \
        ts                                      \
        swf                                     \
        ffm                                     \
        flv_fmt                                 \
        mov                                     \
        dv_fmt                                  \
        gxf                                     \
        nut                                     \
        mkv                                     \
        pbmpipe                                 \
        pgmpipe                                 \
        ppmpipe                                 \
        gif                                     \
        yuv4mpeg                                \
        pgm                                     \
        ppm                                     \
        bmp                                     \
        tga                                     \
        tiff                                    \
        sgi                                     \
        jpg                                     \
        wav                                     \
        alaw                                    \
        mulaw                                   \
        au                                      \
        mmf                                     \
        aiff                                    \
        voc                                     \
        ogg                                     \
        pixfmt                                  \
    )

REGFILES = $(addprefix tests/data/,$(addsuffix .$(1),$(2:regtest-%=%)))

CODEC_ROTOZOOM = $(call REGFILES,rotozoom.regression,$(CODEC_TESTS))
CODEC_VSYNTH   = $(call REGFILES,vsynth.regression,$(CODEC_TESTS))

LAVF_REGFILES = $(call REGFILES,lavf.regression,$(LAVF_TESTS))

LAVF_REG     = tests/data/lavf.regression
ROTOZOOM_REG = tests/data/rotozoom.regression
VSYNTH_REG   = tests/data/vsynth.regression

codectest: $(VSYNTH_REG) $(ROTOZOOM_REG)
	diff -u -w $(FFMPEG_REFFILE)   $(VSYNTH_REG)
	diff -u -w $(ROTOZOOM_REFFILE) $(ROTOZOOM_REG)

libavtest: $(LAVF_REG)
	diff -u -w $(LIBAV_REFFILE) $(LAVF_REG)

$(VSYNTH_REG) $(ROTOZOOM_REG) $(LAVF_REG):
	cat $^ > $@

$(LAVF_REG):     $(LAVF_REGFILES)
$(ROTOZOOM_REG): $(CODEC_ROTOZOOM)
$(VSYNTH_REG):   $(CODEC_VSYNTH)

$(CODEC_VSYNTH) $(CODEC_ROTOZOOM): $(CODEC_TESTS)

$(LAVF_REGFILES): $(LAVF_TESTS)

$(CODEC_TESTS) $(LAVF_TESTS): regtest-ref

regtest-ref: ffmpeg$(EXESUF) tests/vsynth1/00.pgm tests/vsynth2/00.pgm tests/asynth1.sw

$(CODEC_TESTS) regtest-ref: tests/tiny_psnr$(EXESUF)
	$(SRC_PATH)/tests/regression.sh $@ vsynth   tests/vsynth1 a
	$(SRC_PATH)/tests/regression.sh $@ rotozoom tests/vsynth2 a

$(LAVF_TESTS):
	$(SRC_PATH)/tests/regression.sh $@ lavf tests/vsynth1 b

seektest: codectest libavtest tests/seek_test$(EXESUF)
	$(SRC_PATH)/tests/seek_test.sh $(SEEK_REFFILE)

servertest: ffserver$(EXESUF) tests/vsynth1/00.pgm tests/asynth1.sw
	@echo
	@echo "Unfortunately ffserver is broken and therefore its regression"
	@echo "test fails randomly. Treat the results accordingly."
	@echo
	$(SRC_PATH)/tests/server-regression.sh $(FFSERVER_REFFILE) $(SRC_PATH)/tests/test.conf

ifeq ($(CONFIG_SWSCALE),yes)
servertest codectest $(CODEC_TESTS) libavtest: swscale_error
swscale_error:
	@echo
	@echo "This regression test is incompatible with --enable-swscale."
	@echo
	@exit 1
endif

tests/vsynth1/00.pgm: tests/videogen$(EXESUF)
	mkdir -p tests/vsynth1
	$(BUILD_ROOT)/$< 'tests/vsynth1/'

tests/vsynth2/00.pgm: tests/rotozoom$(EXESUF)
	mkdir -p tests/vsynth2
	$(BUILD_ROOT)/$< 'tests/vsynth2/' $(SRC_PATH)/tests/lena.pnm

tests/asynth1.sw: tests/audiogen$(EXESUF)
	$(BUILD_ROOT)/$< $@

%$(EXESUF): %.c
	$(CC) $(FF_LDFLAGS) $(CFLAGS) -o $@ $<

tests/seek_test$(EXESUF): tests/seek_test.c $(FF_DEP_LIBS)
	$(CC) $(FF_LDFLAGS) $(CFLAGS) -o $@ $< $(FF_EXTRALIBS)


.PHONY: lib videohook documentation *test regtest-* swscale-error

-include $(VHOOK_DEPS)

=== quicktime/ffmpeg/libavformat/Makefile ===
#
# libavformat Makefile
# (c) 2000-2003 Fabrice Bellard
#
include $(SUBDIR)../config.mak

NAME = avformat
FFLIBS = avcodec avutil

OBJS = allformats.o cutils.o os_support.o sdp.o utils.o

HEADERS = avformat.h avio.h rtsp.h rtspcodes.h

# muxers/demuxers
OBJS-$(CONFIG_AAC_DEMUXER)               += raw.o
OBJS-$(CONFIG_AC3_DEMUXER)               += raw.o
OBJS-$(CONFIG_AC3_MUXER)                 += raw.o
OBJS-$(CONFIG_ADTS_MUXER)                += adtsenc.o
OBJS-$(CONFIG_AIFF_DEMUXER)              += aiff.o riff.o raw.o
OBJS-$(CONFIG_AIFF_MUXER)                += aiff.o riff.o
OBJS-$(CONFIG_AMR_DEMUXER)               += amr.o
OBJS-$(CONFIG_AMR_MUXER)                 += amr.o
OBJS-$(CONFIG_APC_DEMUXER)               += apc.o
OBJS-$(CONFIG_APE_DEMUXER)               += ape.o
OBJS-$(CONFIG_ASF_DEMUXER)               += asf.o asfcrypt.o riff.o
OBJS-$(CONFIG_ASF_MUXER)                 += asf-enc.o riff.o
OBJS-$(CONFIG_ASF_STREAM_MUXER)          += asf-enc.o riff.o
OBJS-$(CONFIG_AU_DEMUXER)                += au.o raw.o
OBJS-$(CONFIG_AU_MUXER)                  += au.o
OBJS-$(CONFIG_AVI_DEMUXER)               += avidec.o riff.o
OBJS-$(CONFIG_AVI_MUXER)                 += avienc.o riff.o
OBJS-$(CONFIG_AVISYNTH)                  += avisynth.o
OBJS-$(CONFIG_AVM2_MUXER)                += swfenc.o
OBJS-$(CONFIG_AVS_DEMUXER)               += avs.o vocdec.o voc.o
OBJS-$(CONFIG_BETHSOFTVID_DEMUXER)       += bethsoftvid.o
OBJS-$(CONFIG_BFI_DEMUXER)               += bfi.o
OBJS-$(CONFIG_C93_DEMUXER)               += c93.o vocdec.o voc.o
OBJS-$(CONFIG_CRC_MUXER)                 += crcenc.o
OBJS-$(CONFIG_DAUD_DEMUXER)              += daud.o
OBJS-$(CONFIG_DSICIN_DEMUXER)            += dsicin.o
OBJS-$(CONFIG_DTS_DEMUXER)               += raw.o
OBJS-$(CONFIG_DV_DEMUXER)                += dv.o
OBJS-$(CONFIG_DV_MUXER)                  += dvenc.o
OBJS-$(CONFIG_DXA_DEMUXER)               += dxa.o riff.o
OBJS-$(CONFIG_EA_CDATA_DEMUXER)          += eacdata.o
OBJS-$(CONFIG_EA_DEMUXER)                += electronicarts.o
OBJS-$(CONFIG_FFM_DEMUXER)               += ffmdec.o
OBJS-$(CONFIG_FFM_MUXER)                 += ffmenc.o
OBJS-$(CONFIG_FLAC_DEMUXER)              += raw.o
OBJS-$(CONFIG_FLAC_MUXER)                += raw.o
OBJS-$(CONFIG_FLIC_DEMUXER)              += flic.o
OBJS-$(CONFIG_FLV_DEMUXER)               += flvdec.o
OBJS-$(CONFIG_FLV_MUXER)                 += flvenc.o avc.o
OBJS-$(CONFIG_FOURXM_DEMUXER)            += 4xm.o
OBJS-$(CONFIG_FRAMECRC_MUXER)            += framecrcenc.o
OBJS-$(CONFIG_GIF_MUXER)                 += gif.o
OBJS-$(CONFIG_GIF_DEMUXER)               += gifdec.o
OBJS-$(CONFIG_GXF_DEMUXER)               += gxf.o
OBJS-$(CONFIG_GXF_MUXER)                 += gxfenc.o
OBJS-$(CONFIG_H261_DEMUXER)              += raw.o
OBJS-$(CONFIG_H261_MUXER)                += raw.o
OBJS-$(CONFIG_H263_DEMUXER)              += raw.o
OBJS-$(CONFIG_H263_MUXER)                += raw.o
OBJS-$(CONFIG_H264_DEMUXER)              += raw.o
OBJS-$(CONFIG_H264_MUXER)                += raw.o
OBJS-$(CONFIG_IDCIN_DEMUXER)             += idcin.o
OBJS-$(CONFIG_IFF_DEMUXER)               += iff.o
OBJS-$(CONFIG_IMAGE2_DEMUXER)            += img2.o
OBJS-$(CONFIG_IMAGE2_MUXER)              += img2.o
OBJS-$(CONFIG_IMAGE2PIPE_DEMUXER)        += img2.o
OBJS-$(CONFIG_IMAGE2PIPE_MUXER)          += img2.o
OBJS-$(CONFIG_INGENIENT_DEMUXER)         += raw.o
OBJS-$(CONFIG_IPMOVIE_DEMUXER)           += ipmovie.o
OBJS-$(CONFIG_IPOD_MUXER)                += movenc.o riff.o isom.o avc.o
OBJS-$(CONFIG_LMLM4_DEMUXER)             += lmlm4.o
OBJS-$(CONFIG_M4V_DEMUXER)               += raw.o
OBJS-$(CONFIG_M4V_MUXER)                 += raw.o
OBJS-$(CONFIG_MATROSKA_AUDIO_MUXER)      += matroskaenc.o matroska.o riff.o avc.o
OBJS-$(CONFIG_MATROSKA_DEMUXER)          += matroskadec.o matroska.o riff.o
OBJS-$(CONFIG_MATROSKA_MUXER)            += matroskaenc.o matroska.o riff.o avc.o
OBJS-$(CONFIG_MJPEG_DEMUXER)             += raw.o
OBJS-$(CONFIG_MJPEG_MUXER)               += raw.o
OBJS-$(CONFIG_MLP_DEMUXER)               += raw.o
OBJS-$(CONFIG_MM_DEMUXER)                += mm.o
OBJS-$(CONFIG_MMF_DEMUXER)               += mmf.o raw.o
OBJS-$(CONFIG_MMF_MUXER)                 += mmf.o riff.o
OBJS-$(CONFIG_MOV_DEMUXER)               += mov.o riff.o isom.o
OBJS-$(CONFIG_MOV_MUXER)                 += movenc.o riff.o isom.o avc.o
OBJS-$(CONFIG_MP2_MUXER)                 += mp3.o
OBJS-$(CONFIG_MP3_DEMUXER)               += mp3.o
OBJS-$(CONFIG_MP3_MUXER)                 += mp3.o
OBJS-$(CONFIG_MP4_MUXER)                 += movenc.o riff.o isom.o avc.o
OBJS-$(CONFIG_MPC_DEMUXER)               += mpc.o
OBJS-$(CONFIG_MPC8_DEMUXER)              += mpc8.o
OBJS-$(CONFIG_MPEG1SYSTEM_MUXER)         += mpegenc.o
OBJS-$(CONFIG_MPEG1VCD_MUXER)            += mpegenc.o
OBJS-$(CONFIG_MPEG2DVD_MUXER)            += mpegenc.o
OBJS-$(CONFIG_MPEG2VOB_MUXER)            += mpegenc.o
OBJS-$(CONFIG_MPEG2SVCD_MUXER)           += mpegenc.o
OBJS-$(CONFIG_MPEG1VIDEO_MUXER)          += raw.o
OBJS-$(CONFIG_MPEG2VIDEO_MUXER)          += raw.o
OBJS-$(CONFIG_MPEGPS_DEMUXER)            += mpeg.o
OBJS-$(CONFIG_MPEGTS_DEMUXER)            += mpegts.o
OBJS-$(CONFIG_MPEGTSRAW_DEMUXER)         += mpegts.o
OBJS-$(CONFIG_MPEGTS_MUXER)              += mpegtsenc.o
OBJS-$(CONFIG_MPEGVIDEO_DEMUXER)         += raw.o
OBJS-$(CONFIG_MPJPEG_MUXER)              += mpjpeg.o
OBJS-$(CONFIG_MSNWC_TCP_DEMUXER)         += msnwc_tcp.o
OBJS-$(CONFIG_MTV_DEMUXER)               += mtv.o
OBJS-$(CONFIG_MXF_DEMUXER)               += mxf.o
OBJS-$(CONFIG_NSV_DEMUXER)               += nsvdec.o
OBJS-$(CONFIG_NULL_MUXER)                += raw.o
OBJS-$(CONFIG_NUT_DEMUXER)               += nutdec.o nut.o riff.o
OBJS-$(CONFIG_NUT_MUXER)                 += nutenc.o nut.o riff.o
OBJS-$(CONFIG_NUV_DEMUXER)               += nuv.o riff.o
OBJS-$(CONFIG_OGG_DEMUXER)               += oggdec.o         \
                                            oggparseflac.o   \
                                            oggparseogm.o    \
                                            oggparsespeex.o  \
                                            oggparsetheora.o \
                                            oggparsevorbis.o \
                                            riff.o
OBJS-$(CONFIG_OGG_MUXER)                 += oggenc.o
OBJS-$(CONFIG_PCM_ALAW_DEMUXER)          += raw.o
OBJS-$(CONFIG_PCM_ALAW_MUXER)            += raw.o
OBJS-$(CONFIG_PCM_MULAW_DEMUXER)         += raw.o
OBJS-$(CONFIG_PCM_MULAW_MUXER)           += raw.o
OBJS-$(CONFIG_PCM_S16BE_DEMUXER)         += raw.o
OBJS-$(CONFIG_PCM_S16BE_MUXER)           += raw.o
OBJS-$(CONFIG_PCM_S16LE_DEMUXER)         += raw.o
OBJS-$(CONFIG_PCM_S16LE_MUXER)           += raw.o
OBJS-$(CONFIG_PCM_S8_DEMUXER)            += raw.o
OBJS-$(CONFIG_PCM_S8_MUXER)              += raw.o
OBJS-$(CONFIG_PCM_U16BE_DEMUXER)         += raw.o
OBJS-$(CONFIG_PCM_U16BE_MUXER)           += raw.o
OBJS-$(CONFIG_PCM_U16LE_DEMUXER)         += raw.o
OBJS-$(CONFIG_PCM_U16LE_MUXER)           += raw.o
OBJS-$(CONFIG_PCM_U8_DEMUXER)            += raw.o
OBJS-$(CONFIG_PCM_U8_MUXER)              += raw.o
OBJS-$(CONFIG_PSP_MUXER)                 += movenc.o riff.o isom.o avc.o
OBJS-$(CONFIG_PVA_DEMUXER)               += pva.o
OBJS-$(CONFIG_RAWVIDEO_DEMUXER)          += raw.o
OBJS-$(CONFIG_RAWVIDEO_MUXER)            += raw.o
OBJS-$(CONFIG_REDIR_DEMUXER)             += rtsp.o
OBJS-$(CONFIG_RL2_DEMUXER)               += rl2.o
OBJS-$(CONFIG_RM_DEMUXER)                += rmdec.o
OBJS-$(CONFIG_RM_MUXER)                  += rmenc.o
OBJS-$(CONFIG_ROQ_DEMUXER)               += idroq.o
OBJS-$(CONFIG_ROQ_MUXER)                 += raw.o
OBJS-$(CONFIG_RPL_DEMUXER)               += rpl.o
OBJS-$(CONFIG_RTP_MUXER)                 += rtp.o         \
                                            rtpenc.o      \
                                            rtp_mpv.o     \
                                            rtp_aac.o     \
                                            rtpenc_h264.o \
                                            avc.o
OBJS-$(CONFIG_RTSP_DEMUXER)              += rtsp.o
OBJS-$(CONFIG_SDP_DEMUXER)               += rtsp.o rtp.o rtpdec.o rtp_h264.o
OBJS-$(CONFIG_SEGAFILM_DEMUXER)          += segafilm.o
OBJS-$(CONFIG_SHORTEN_DEMUXER)           += raw.o
OBJS-$(CONFIG_SIFF_DEMUXER)              += siff.o
OBJS-$(CONFIG_SMACKER_DEMUXER)           += smacker.o
OBJS-$(CONFIG_SOL_DEMUXER)               += sol.o raw.o
OBJS-$(CONFIG_STR_DEMUXER)               += psxstr.o
OBJS-$(CONFIG_SWF_DEMUXER)               += swfdec.o
OBJS-$(CONFIG_SWF_MUXER)                 += swfenc.o
OBJS-$(CONFIG_TG2_MUXER)                 += movenc.o riff.o isom.o avc.o
OBJS-$(CONFIG_TGP_MUXER)                 += movenc.o riff.o isom.o avc.o
OBJS-$(CONFIG_THP_DEMUXER)               += thp.o
OBJS-$(CONFIG_TIERTEXSEQ_DEMUXER)        += tiertexseq.o
OBJS-$(CONFIG_TTA_DEMUXER)               += tta.o
OBJS-$(CONFIG_TXD_DEMUXER)               += txd.o
OBJS-$(CONFIG_VC1_DEMUXER)               += raw.o
OBJS-$(CONFIG_VC1T_DEMUXER)              += vc1test.o
OBJS-$(CONFIG_VMD_DEMUXER)               += sierravmd.o
OBJS-$(CONFIG_VOC_DEMUXER)               += vocdec.o voc.o
OBJS-$(CONFIG_VOC_MUXER)                 += vocenc.o voc.o
OBJS-$(CONFIG_WAV_DEMUXER)               += wav.o riff.o raw.o
OBJS-$(CONFIG_WAV_MUXER)                 += wav.o riff.o
OBJS-$(CONFIG_WC3_DEMUXER)               += wc3movie.o
OBJS-$(CONFIG_WSAUD_DEMUXER)             += westwood.o
OBJS-$(CONFIG_WSVQA_DEMUXER)             += westwood.o
OBJS-$(CONFIG_WV_DEMUXER)                += wv.o
OBJS-$(CONFIG_XA_DEMUXER)                += xa.o
OBJS-$(CONFIG_YUV4MPEGPIPE_MUXER)        += yuv4mpeg.o
OBJS-$(CONFIG_YUV4MPEGPIPE_DEMUXER)      += yuv4mpeg.o

# external libraries
OBJS-$(CONFIG_LIBNUT_DEMUXER)            += libnut.o riff.o
OBJS-$(CONFIG_LIBNUT_MUXER)              += libnut.o riff.o

OBJS-$(CONFIG_VHOOK)                     += framehook.o

# protocols I/O
OBJS+= avio.o aviobuf.o

OBJS-$(CONFIG_FILE_PROTOCOL)             += file.o
OBJS-$(CONFIG_HTTP_PROTOCOL)             += http.o
OBJS-$(CONFIG_PIPE_PROTOCOL)             += file.o
OBJS-$(CONFIG_RTP_PROTOCOL)              += rtpproto.o
OBJS-$(CONFIG_TCP_PROTOCOL)              += tcp.o
OBJS-$(CONFIG_UDP_PROTOCOL)              += udp.o

include $(SUBDIR)../subdir.mak

=== debian/changelog ===
hvirtual (1:2.1.0-1svn20060912) unstable; urgency=low

  * SVN of 2006-09-12, non-debug build, merge with Adam's 2.1 version

 -- Debian User <ga@kutxa.homeunix.org>  Tue, 12 Sep 2006 12:58:37 +0200

hvirtual (1:2.0.0) unstable; urgency=low

  * 2.0

 -- Andraz Tori <andraz.tori1@guest.arnes.si>  Tue, 8 Jan 2006 22:22:14 +0200

hvirtual (1:1.2.2-3) unstable; urgency=low

  * changed dependancy from libavcodec1-dev to libavcodec-dev

 -- Andraz Tori <andraz.tori1@guest.arnes.si>  Tue, 8 Feb 2005 22:22:14 +0200

hvirtual (1:1.2.2) unstable; urgency=low

  * merge with 1.2.2 (by Johannes Sixt)

 -- Andraz Tori <andraz.tori1@guest.arnes.si>  Tue, 8 Feb 2005 22:22:14 +0200

hvirtual (1:1.2.1) unstable; urgency=low

  * merge with 1.2.1 (by Johannes Sixt)
  * added libmxf to dependencies

 -- Andraz Tori <andraz.tori1@guest.arnes.si>  Wed, 18 Aug 2004 22:22:14 +0200

hvirtual (1:1.2.0) unstable; urgency=low

  * merge with 1.2.0 (by Johannes Sixt)
  * added libfaad2 to dependencies

 -- Andraz Tori <andraz.tori1@guest.arnes.si>  Tue, 1 Jun 2004 22:22:14 +0200

hvirtual (1:1.1.9-1) unstable; urgency=low

  * fix libsndfilehv dependency (by Johannes Sixt)

 -- Andraz Tori <andraz.tori1@guest.arnes.si>  Mon, 8 Mar 2004 22:22:14 +0200

hvirtual (1:1.1.8-2) unstable; urgency=low

  * fix libsndfilehv dependency (by Johannes Sixt)
  * fix locale invocation, so only messages are translated, not numbers
  * fix libtool dependency, remove libsndfile-dev dependency

 -- Andraz Tori <andraz.tori1@guest.arnes.si>  Fri, 21 Dec 2003 22:22:14 +0200

hvirtual (1:1.1.8-1) unstable; urgency=low

  * Merge with Adam's 1.1.8 release and the CVS

 -- Johannes Sixt <johannes.sixt@telecom.at>  Fri, 5 Dec 2003 22:22:14 +0200

hvirtual (1:1.1.7-3) unstable; urgency=low

  * internationalization #2 & #3
  * fix to track.C - crusher
  * gettextialization
  * no patch for 32bit counters anymore

 -- Andraz Tori <andraz.tori1@guest.arnes.si>  Fri, 10 Oct 2003 18:00:01 +0200

hvirtual (1:1.1.7-2) unstable; urgency=low

  * added patch to be able to compile for 32bit frame counters
  * internationalization
  * fixed mmx compiling (richard) 

 -- Andraz Tori <andraz.tori1@guest.arnes.si>  Fri, 26 Sep 2003 18:00:01 +0200

hvirtual (1:1.1.7-1) unstable; urgency=low

  * debification of mainline 1.1.7 by Richard Baverstock 

 -- Andraz Tori <andraz.tori1@guest.arnes.si>  Mon, 08 Sep 2003 18:00:01 +0200

hvirtual (1:1.1.6-5) unstable; urgency=low

  * updated dependency to new libsndfile1, patch by Artemia Salina
    <asalina@newsfeeds.com>
  * two new overlaying speedups...

 -- Andraz Tori <andraz.tori1@guest.arnes.si>  Thu, 08 Aug 2003 18:00:01 +0200

hvirtual (1:1.1.6-4) unstable; urgency=low

  * Johannes Sixt's patch for multihead display
  * fix for quicktime leak
  * fix virtualconsole leak
  * patchbay invalid memory access fix
  * fix for perspective plugin when using alpha mode

 -- Andraz Tori <andraz.tori1@guest.arnes.si>  Thu, 31 Jul 2003 18:00:01 +0200

hvirtual (1:1.1.6-3) unstable; urgency=low

  * workaround for libdv bug
  * fix to build with latest libavcodec
  * second overlaying speedup

 -- Andraz Tori <andraz.tori1@guest.arnes.si>  Thu, 17 Jul 2003 18:00:01 +0200

hvirtual (1:1.1.6-2) unstable; urgency=low

  * applied reframe-crush patch

 -- Andraz Tori <andraz.tori1@guest.arnes.si>  Wed, 25 Jun 2003 18:00:01 +0200

hvirtual (1:1.1.6-1) unstable; urgency=low

  * New upstream release
  * Added -g and removed stripping to allow debugging 

 -- Sylvain Joyeux <sylvain.joyeux@polytechnique.org>  Wed, 14 May 2003 07:58:01 +0200

hvirtual (1:1.1.5-4) unstable; urgency=low

  * The "Patch me if you can" release
  * Applied patches:
    loop (Andraz Tori <Andraz.tori1@guest.arnes.si>):
      fixes a problem wehere audio position was reported
    	completely wrong and cursor went temporarily nuts while playing in
    	loop, which was	annoying the other thing it does is that it aligns
    	cursor on frames while playing (if that option is set)
    titler-charsets (Andraz Tori <Andraz.tori1@guest.arnes.si>):
      enables non-english users to use their own charsets
  		in the titler plugin.
   * Includes now mplexlo and mplexhi.
   * Re-includes the badly forgotten mpeg2enc (really sorry for this one)

 -- Sylvain Joyeux <sylvain.joyeux@polytechnique.org>  Tue, 15 Apr 2003 20:29:50 +0200

hvirtual (1:1.1.5-3) unstable; urgency=low

  * Fixed the dependency on XF4.3 (sorry for that)
  * Fixed policy issues (now the packages are
  clean according to lintian :), some rpath remain though

 -- Sylvain Joyeux <sylvain.joyeux@polytechnique.org>  Wed,  9 Apr 2003 15:40:13 +0200

hvirtual (1:1.1.5-2) unstable; urgency=low

  * Rebuilt for fix the libvorbis0a dependency
  * Removed the "lib" prefix on plugins
  * added nasm in the Build-Depends
  * Fixed the "linking shared library and static libraries" issue
  * Now building non-PIC code since it prevents some assembly to build
  (particularly in libavcodec)
  * libguicast now links to Xv, not Xv_pic
  * Moved the fourier code into a single library

 -- Sylvain Joyeux <sylvain.joyeux@polytechnique.org>  Fri,  4 Apr 2003 01:09:33 +0200

hvirtual (1:1.1.5-1) unstable; urgency=low

  * New upstream version
  * Quicktime: now, we use ffmpeg from the cinelerra source tree
  (marillat's version is too new)
  * Versioning: changed all version to Cinelerra version
  * Cleaned choice system of mmx/non-mmx sources
  (now using automake conditionals). mmx sources are no
  longer built when it is not needed.

 -- Sylvain Joyeux <sylvain.joyeux@polytechnique.org>  Fri, 14 Mar 2003 10:57:50 +0100

hvirtual (1.1.0-3) unstable; urgency=low

  * Fixed dependency problem (Bug reported by vizard on sourceforge)
  * Since avifile support is broken, it is disabled by default
  * Avifile was the only library in C++, we can now build with gcc 3.2
  * Upgraded libsndfile to the 0.0.28 version (newest version in unstable)
  * Since we build with gcc 3.2, enabled -mmmx



=== debian/control ===
Source: hvirtual
Section: graphics
Priority: optional
Maintainer: Cinelerra-CV mailing list <cinelerra@skolelinux.no>
Standards-Version: 3.5.9
Build-Depends: debhelper (>> 4), automake1.8, dpatch (>= 1.11),
 libasound2-dev (>= 1.0.4), libdv4-dev (>= 1.0.0), 
 libavcodeccvs51-dev | libavcodec-dev, 
 liblame-dev (>= 3.92), libvorbis-dev (>= 1.0.0),
 libogg-dev (>= 1.1.2), libtool (>= 1.5), liba52-0.7.4-dev (>= 0.7.4), 
 libtheora-dev (>=0.0.0.alpha4) | libtheora-mmx-dev (>=0.0.0.alpha4),
 libpng12-dev (>= 1.2.5), libjpeg62-dev (>= 6b), libtiff4-dev (>= 3.6.0),
 libesd0-dev (>= 0.2.28), libaudiofile-dev (>= 0.2.3), 
 libraw1394-dev (>= 1.2.0), libavc1394-dev (>= 0.4.1),
 libfreetype6-dev (>= 2.2.1), libfontconfig-dev, nasm, uuid-dev, 
 docbook-to-man, libfaad2-dev | libfaad-dev, libmjpegtools-dev (>= 1.6.2), 
 libopenexr-dev (>= 1.1.1), libxxf86vm-dev (>=6.8.2), fftw3-dev,
 libsndfile1-dev, libiec61883-dev (>= 1.0.0), libx264-dev,
 libfaac-dev (>= 1.24), libx11-dev, libxext-dev, libxft-dev,
 libxv-dev, libxxf86vm-dev, fftw3-dev

Package: cinelerra
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, libguicast (= ${Source-Version}),
 libquicktimehv (= ${Source-Version}), libmpeg3hv (= ${Source-Version})
Description: An audio/video authoring tool
 Cinelerra is a complete audio and video authoring
 tool. It understands a lot of multimedia formats
 (quicktime, avi, ogg) and audio/video compression
 codecs (divx, xvid, mpeg1/2, ...)

Package: libguicast
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: A toolkit library
 libguicast is a toolkit library mainly used by HeroineVirtual's
 softwares

Package: libquicktimehv
Section: libs
Depends: ${shlibs:Depends}
Architecture: any
Description: Quicktime 4 Linux Cinelerra internal library
 Quicktime 4 Linux was the first convenient way to read and write 
 uncompressed Quicktime movies on Linux. Today Quicktime 4 Linux 
 is intended for content creation and uncompressed movies. These 
 usually arise during the production phase and not the consumer 
 phase of a movie. It has improvements in colormodel support, 
 bit depth, accuracy, reliability, and codecs, while not 
 stressing economy. 
 .
 Users wishing for a consumer library should use OpenQuicktime or FFMPEG.
 .
 For more informations, see http://heroinewarrior.com/quicktime.php3

Package: libquicktimehv-dev
Section: libs
Depends: libquicktimehv 
Architecture: any
Description: Quicktime 4 Linux (Cinelerra internal) library (development files)
 Quicktime 4 Linux was the first convenient way to read and write 
 uncompressed Quicktime movies on Linux. Today Quicktime 4 Linux 
 is intended for content creation and uncompressed movies. These 
 usually arise during the production phase and not the consumer 
 phase of a movie. It has improvements in colormodel support, 
 bit depth, accuracy, reliability, and codecs, while not 
 stressing economy. 
 .
 Users wishing for a consumer library should use OpenQuicktime or FFMPEG.
 .
 This package holds development files for the Quicktime 4 Linux library
 .
 For more informations, see http://heroinewarrior.com/quicktime.php3

Package: libmpeg3hv
Section: libs
Depends: ${shlibs:Depends}
Architecture: any
Description: advanced editing and manipulation of MPEG streams (cinelerra's internal) 
 Libmpeg3 supports advanced editing and manipulation of MPEG streams. 
 MPEG is normally a last mile format but with libmpeg3 you can edit 
 it like a first mile solution. 
 .
 Unless you have a need for MPEG editing and copying, you're better 
 off using a consumer library like FFMPEG.
 .
 For more informations, see http://heroinewarrior.com/quicktime.php3

Package: libmpeg3hv-dev
Section: libs
Depends: libmpeg3hv
Architecture: any
Description: advanced editing and manipulation of MPEG streams (development files)
 Libmpeg3 supports advanced editing and manipulation of MPEG streams. 
 MPEG is normally a last mile format but with libmpeg3 you can edit 
 it like a first mile solution. 
 .
 Unless you have a need for MPEG editing and copying, you're better 
 off using a consumer library like FFMPEG.
 .
 This package holds development files for the libmpeg3 library
 .
 For more informations, see http://heroinewarrior.com/quicktime.php3

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=hvirtual
export DH_COMPAT=4

CONFFLAGS=
#since we are building from .svn
+export DH_ALWAYS_EXCLUDE=.svn

ifneq ($(DEB_HOST_ARCH),powerpc)
	CFLAGS=-ffast-math -O3 -mmmx -march=pentium4 -msse -msse2 -minline-all-stringops -fprefetch-loop-arrays -funroll-loops
	# CFLAGS=-ffast-math -g -mmmx -march=pentium-mmx
	CXXFLAGS=$(CFLAGS) -fno-check-new
	CONFFLAGS+=--enable-mmx --enable-x86 --without-pic
endif

ifneq (, $(findstring smp2,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS=-j2
endif

config.status: configure 
	$(checkdir)
	@if [ -z "$(CFLAGS)" ] ; then CFLAGS="$(CFLAGS)" ; fi ;
	@if [ -z "$(CXXFLAGS)" ] ; then CXXFLAGS="$(CXXFLAGS)" ; fi ;
	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" \
					./configure --prefix=/usr $(CONFFLAGS)
	
build: build-stamp
build-stamp: config.status
	$(checkdir)
	$(MAKE) $(MAKEFLAGS)
	docbook-to-man debian/cinelerra.sgml > debian/cinelerra.1
	docbook-to-man debian/mplexhi.sgml > debian/mplexhi.1
	docbook-to-man debian/mplexlo.sgml > debian/mplexlo.1
	touch build-stamp

clean: 
	$(checkdir)
	-$(MAKE) -i distclean
	dh_clean -a
	-rm -f debian/cinelerra.1
	-rm -f debian/mplexhi.1
	-rm -f debian/mplexlo.1
	-rm -f build-stamp

binary-indep: checkroot build-stamp
binary-arch: checkroot build-stamp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	chmod -x debian/tmp/usr/lib/cinelerra/*
	chmod +x debian/tmp/usr/lib/cinelerra/fonts
	chmod -x debian/tmp/usr/lib/cinelerra/fonts/*
	dh_install --sourcedir=debian/tmp --autodest
	dh_installdocs -XCVS
	dh_installchangelogs -a
	dh_installman
	dh_installmenu

	dh_fixperms -a
	dh_compress -a
	# Since Cinelerra is far from stable, I prefer leaving the debug info
	dh_strip -a
	strip -x -s -R .comment -R .note debian/cinelerra/usr/lib/cinelerra/*.so

# AFAIK bootstraping should be gone now -- minmax

# Rename defaulttheme to blondtheme
#	guicast/bootstrap debian/cinelerra/usr/lib/cinelerra/blondtheme.so plugins/defaulttheme/data/*.png
# Add bluedottheme
#	guicast/bootstrap debian/cinelerra/usr/lib/cinelerra/bluedottheme.so plugins/bluedottheme/data/*.png
#	guicast/bootstrap debian/cinelerra/usr/bin/cinelerra cinelerra/data/mode_*.png
# not present anymore?
#	guicast/bootstrap debian/cinelerra/usr/lib/cinelerra/microtheme.so plugins/microtheme/data/*.png

	dh_makeshlibs -V -a
	dh_shlibdeps -a

	dh_gencontrol 
	dh_builddeb 
	

binary: binary-indep binary-arch

checkroot: 
	dh_testroot
